Bug 1091376 - Mozilla Thunderbird for i586 is not built
Mozilla Thunderbird for i586 is not built
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Firefox
Current
i586 openSUSE Factory
: P1 - Urgent : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-30 12:05 UTC by Ralph Gauer
Modified: 2019-02-19 07:08 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Gauer 2018-04-30 12:05:47 UTC
The Tumbleweed/Factory vVersion of Mozilla Thunderbird for i586 is not built because of "final link failed: Memory exhausted" reported by the VM.
https://build.opensuse.org/package/live_build_log/openSUSE:Factory/MozillaThunderbird/standard/i586
Because of this, the recent bugfixes introduced with version 52.7 are not propagated to users of the Tumbleweed i586 arch.
Comment 1 Dominique Leuenberger 2018-06-29 06:27:54 UTC
Wolfang,

we simplified the Staging setup and merged ring2 into ring1, which means that Thunderbird now also builds (or rather: should build) for i586 for the staging projects to turn green.

This is currently 'reliably failing' with

[ 7762s] /usr/lib/gcc/i586-suse-linux/8/../../../../i586-suse-linux/bin/ld: failed to set dynamic section sizes: Memory exhausted

As this is in all Staging Projects as of now, we quite urgently will need a fix here.
Comment 3 Swamp Workflow Management 2018-07-04 06:40:19 UTC
This is an autogenerated message for OBS integration:
This bug (1091376) was mentioned in
https://build.opensuse.org/request/show/620539 Factory / MozillaThunderbird
https://build.opensuse.org/request/show/620540 15.0 / MozillaThunderbird
https://build.opensuse.org/request/show/620541 42.3 / MozillaThunderbird
Comment 4 Swamp Workflow Management 2018-07-04 09:20:19 UTC
This is an autogenerated message for OBS integration:
This bug (1091376) was mentioned in
https://build.opensuse.org/request/show/620589 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 6 Swamp Workflow Management 2018-07-04 14:40:17 UTC
This is an autogenerated message for OBS integration:
This bug (1091376) was mentioned in
https://build.opensuse.org/request/show/620628 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 8 Swamp Workflow Management 2018-07-04 22:50:14 UTC
This is an autogenerated message for OBS integration:
This bug (1091376) was mentioned in
https://build.opensuse.org/request/show/620659 15.0+42.3+Backports:SLE-12 / MozillaThunderbird
Comment 10 Swamp Workflow Management 2018-07-06 22:08:30 UTC
openSUSE-SU-2018:1905-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1076907,1085780,1091376,1098998,1100079,1100081,1100082
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12372,CVE-2018-12373,CVE-2018-12374,CVE-2018-5188
Sources used:
openSUSE Leap 42.3 (src):    MozillaThunderbird-52.9.0-68.1
openSUSE Leap 15.0 (src):    MozillaThunderbird-52.9.0-lp150.3.8.1
Comment 11 Swamp Workflow Management 2018-07-06 22:10:31 UTC
openSUSE-SU-2018:1907-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1076907,1085780,1091376,1098998,1100079,1100081,1100082
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12372,CVE-2018-12373,CVE-2018-12374,CVE-2018-5188
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    MozillaThunderbird-52.9.0-65.1
Comment 12 Wolfgang Rosenauer 2018-07-07 04:36:42 UTC
Should be a lot better now. It will come back at some point with growing codebase :-(
Comment 15 Swamp Workflow Management 2018-08-02 16:10:32 UTC
SUSE-SU-2018:2174-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1076907,1085780,1091376,1098998,1100079,1100081,1100082,1100780
CVE References: CVE-2018-12359,CVE-2018-12360,CVE-2018-12362,CVE-2018-12363,CVE-2018-12364,CVE-2018-12365,CVE-2018-12366,CVE-2018-12372,CVE-2018-12373,CVE-2018-12374,CVE-2018-5188
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    MozillaThunderbird-52.9.1-3.7.1